Holger's Java API

## com.antelmann.cddb
Class XmcdFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.util.FormatException
                  com.antelmann.cddb.XmcdFormatException

All Implemented Interfaces:
  Serializable

    public class XmcdFormatException

extends FormatException

Thrown to indicate that content which was expected to conform to the XMCD format did not conform.

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`XmcdFormatException(String message)`
`XmcdFormatException(String message, String location, Throwable cause)`

Method Summary
`String` `getLocation()` returns either the DiskID or the File name that the exception is associated with
`void` `setLocation(String location)`

Methods inherited from class com.antelmann.util.FormatException
`getFormattedContent, setFormattedContent`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmcdFormatException

    public XmcdFormatException(String message)

### XmcdFormatException

    public XmcdFormatException(String message,
                               String location,
                               Throwable cause)

Method Detail

### setLocation

    public void setLocation(String location)

### getLocation

    public String getLocation()

  returns either the DiskID or the File name that the exception is associated with

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads